<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\financial;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\financial\FinancialPaymentRecordsLists;
use app\adminapi\logic\financial\FinancialPaymentRecordsLogic;
use app\adminapi\validate\financial\FinancialPaymentRecordsValidate;


/**
 * FinancialPaymentRecords控制器
 * Class FinancialPaymentRecordsController
 * @package app\adminapi\controller
 */
class FinancialPaymentRecordsController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/02 11:55
     */
    public function lists()
    {
        return $this->dataLists(new FinancialPaymentRecordsLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/02 11:55
     */
    public function add()
    {
        $params = (new FinancialPaymentRecordsValidate())->post()->goCheck('add');
        $result = FinancialPaymentRecordsLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FinancialPaymentRecordsLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/02 11:55
     */
    public function edit()
    {
        $params = (new FinancialPaymentRecordsValidate())->post()->goCheck('edit');
        $result = FinancialPaymentRecordsLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FinancialPaymentRecordsLogic::getError());
    }


    /**
     * @notes 取消
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/02 11:55
     */
    public function delete()
    {
        $params = (new FinancialPaymentRecordsValidate())->post()->goCheck('delete');
        $result = FinancialPaymentRecordsLogic::delete($params);
        if (true === $result) {
            return $this->success('取消成功', [], 1, 1);
        }
        return $this->fail(FinancialPaymentRecordsLogic::getError());
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/02 11:55
     */
    public function detail()
    {
        $params = (new FinancialPaymentRecordsValidate())->goCheck('detail');
        $result = FinancialPaymentRecordsLogic::detail($params);
        return $this->data($result);
    }


}